Skip to main content

Order Verified

Webhook 

Type: order.verified.v1

Occurs when an order has been successfully verified and is in a fulfillable state.

Payload

The data object in the payload contains order ID, along with the amount and currency.

Example:

{
"specversion": "1.0",
"id": "01FBJ0PYJ7931K0CJ6GMP8N3WG",
"type": "order.verified.v1",
"time": "2023-06-21T12:34:56.123456Z",
"source": "https://api.two.inc",
"subject": "order/a9f5d2d3-5d6d-4e2a-a4b4-6c7f8a9d0f1e",
"twomerchantid":"b6b9d5d1-f6b7-4e15-9703-9c32c6e5c1c2",
"data": {
"root_order_id": "a9f5d2d3-5d6d-4e2a-a4b4-6c7f8a9d0f1e",
"order_id": "a9f5d2d3-5d6d-4e2a-a4b4-6c7f8a9d0f1e",
"merchant_order_id": "999999",
"merchant_id": "b6b9d5d1-f6b7-4e15-9703-9c32c6e5c1c2",
"gross_amount": "150.65",
"invoice_amount": "150.65",
"payable_amount": "150.65",
"prepaid_amount": "0.00",
"currency": "GBP"
"buyer_company_name": "TWO B2B LTD",
"status": "APPROVED",
"state": "VERIFIED",
}
}

Triggering in sandbox

  1. Create an order through the checkout API service in your sandbox environment. Capture the order ID from the resulting response.
  2. Open the payment_url in the response body and complete verification (in production, this step would be completed by the buyer).
  3. Once the order state moves from UNVERIFIED to VERIFIED, the order.state.verified.v1 webhook will be sent by the webhook gateway to any endpoints you have configured to receive it.

Request

Responses

Successful Response